# Skelet.css &mdash; a contemporary CSS framework that combines modern design principles with a forward-thinking approach.

Lightweight and easy to use. You can get started quickly by using the included _HTML5 template_ or by including the _CSS file_ in your project.

The benefits of using Skelet.css:

- **Solid foundation**: `Skelet.css` provides a solid foundation for your next project, so you can focus on creating great web designs.
- **Modern design**: `Skelet.css` uses modern design principles to create a clean and responsive user interface.
- **Forward-thinking approach**: `Skelet.css` is constantly being updated to keep up with the latest trends in web design and CSS standards.

If you're looking for a modern, lightweight, and easy-to-use CSS framework, Skelet.css is a great option.


# Get started

## via ZIP

1. [DOWNLOAD ↓](https://github.com/Selekkt/skelet/archive/master.zip) Skelet.
2. Unzip `skelet-master.zip`
3. Files to pay attenion to:
	- `skelet.html` = HTML5 boilerplate
	- `css/skelet.css` = CSS framework
	- `css/tooltips.css` = CSS tooltips


## via NPM
``` 
npm i selekkt-skelet
```


## via CDN

### → DEV
> Use these CDN links only for development; do not use in production, as breaking changes may be introduced at any time with new major versions and break your website.

#### Unminified
```
https://cdn.jsdelivr.net/npm/selekkt-skelet@latest/css/skelet.css
```

#### Minified
```
https://cdn.jsdelivr.net/npm/selekkt-skelet@latest/css/skelet.min.css
```

### → PROD
> For production is reccomended to use a specific version from the link below.

[CDN for production](https://www.jsdelivr.com/package/npm/selekkt-skelet)

## → Development branch: "next"
> Future in the making. Where all the new features first appear.

``` 
https://cdn.jsdelivr.net/gh/Selekkt/skelet@next/css/skelet.css
``` 

## Directory structure
This is the dir structure of Skelet.
``` 
.
└── skelet/
    ├── css/
    │   ├── skelet.css (CSS framework)
    │   ├── skelet.min.css (Skelet. minified)
    │   └── app.css (is where all of your other CSS goes)
    ├── js/
    │   ├── modules.js (is for all of your JS frameworks)
    │   └── app.js (is where all of your other JS goes)
    ├── img/
    │   ├── logo.png
    │   └── touch.png
    ├── LICENSE
    ├── README.md
    └── skelet.html (HTML5 boilerplate)
``` 

# Documentation

### View the [Full Documentation →](https://selekkt.dk/skelet/v3/)
### View [Examples →](https://selekkt.dk/skelet/v3/#examples)

---
[![](https://data.jsdelivr.com/v1/package/npm/selekkt-skelet/badge)](https://www.jsdelivr.com/package/npm/selekkt-skelet)
